// Solving transcendental equations
// Secant method: 

// Consider the following transcendental equation: 
// sin(x) = 0

function y = g(x)
    y = sin(x)
endfunction

// We define our first two guesses 
x(1) = -%pi/4
x(2) =  %pi/2

for i = 3:9 // 7 iterations
    x(i) = x(i-1) - g(x(i-1))*(x(i-1) - x(i-2))/(g(x(i-1)) - g(x(i-2)));
    disp(x(i))
end

the_root = x(i)