// Linear interpolation: 

// Our data-set: 
x = [0:1:5]'; y = exp(x); // exponent
plot(x, y, 'ro')

xp = [0:0.01:5]';
yp = []

for i = xp'
    x0 = floor(i);
    x1 = ceil(i);
    if x0 == x1 then
        yp_i = y(find(x == i));
    else
        y0 = y(find(x == x0));
        y1 = y(find(x == x1));
        yp_i = y0 + (i - x0)*(y1 - y0)/(x1 - x0);
    end
    yp = [yp; yp_i];
end

plot(xp, yp, 'b')

// We compare with Scilab's internal interpolation function:
// Linear interpolation using Scilab's Interpolation function:

yp = interp1(x, y, xp);
plot(xp, yp, 'g')