mode(-1);
// Numerical Integration
//   Written by
//   Rakhi.R 
//   IIT Bombay

// Example of composite trapezoidal rule  for f(x) = sqroot(x)

exec('func.sci'); //execute the function that defines f(x)
exec('trapc.sci'); // execute the function for simple trapezoidal
exec('trap.sci');

a = input("Enter a = "); // for inputting x0 and xn
b = input("Enter b = ");
n = input("Enter n = ");
fa = func(a);// Calculate fx0 and fxn
fb = func(b);
if n > 1
    I = trapc(a,b,n,fa,fb);
else
    I = trap(a,b,fa,fb);
end

//display result
disp("The value of the integral is  =");
disp(I);