mode(-1);
// Numerical Integration
//   Written by
//   Rakhi.R 
//   IIT Bombay

// Simple Trapezoidal Rule - S T rule, ie n = 1
// This computes I = integral from a to b f(x) dx using S T rule
// fa , fb are the values of the function f(x) at a and b respectively
//I is given by I = (fa + fb)*h/2

function I = trap(a,b,fa,fb)
    h = (b-a); // length of the interval
    I = (fa + fb)*h/2; //value of the integral
endfunction

