mode(-1);
// Numerical Integration
//   Written by
//   Rakhi.R 
//   IIT Bombay

// Simple Simpson's 1/3rd Rule - S T rule, ie n = 2
// This computes I = integral from a to b f(x) dx using S T rule
// fa , fb are the values of the function f(x) at a and b respectively
//I is given by I = (fa + 4*f((a+b)/2) + fb)*h/3
exec('func.sci'); //execute the function that defines f(x)

function I = sim_simp3(a,b,fa,fb)
    h = (b-a)/2; // length of the interval
    I = (fa + 4*func((a+b)/2) + fb)*h/3; //value of the integral
endfunction

