mode(-1);
// Numerical Integration
//   Written by
//   Rakhi.R 
//   IIT Bombay

//Example of composite simpson's 3/8th rule  for f(x) = sqroot(x)
//n is the number of panels into which the interval (a,b) is to be divided
//n has to be a multiple of 3!

exec('func.sci'); //execute the function that defines f(x)
exec('simp8.sci'); // execute the function for simpson's 1/3rd rule

a = input("Enter a = "); // for inputting a and b
b = input("Enter b = ");
n = input("Enter n = ");
if modulo(n,3)//remainder on dividing by 3 != 0
    disp("n has to be a multiple of 3!!");
    abort;
end
fa = func(a);// Calculate fa and fb
fb = func(b);
I = simp8(a,b,n,fa,fb);
//display result
disp("The value of the integral is  =");
disp(I);