mode(-1);
// Numerical differentiation
//   Written by
//   Rakhi.R 
//   IIT Bombay

// function to find higher order delta values if they exist
global delta_2 delta_3 delta_4 delta_5

function [delta_2,delta_3,delta_4,delta_5] = get_deltas(delta_1,N)
if N >= 3
    delta_2 = delta(delta_1,N-1);
    delta_2 = [delta_2 ;(zeros(1,N-length(delta_2)))'];// pad with zeros
  if N >= 4
    delta_3 = delta(delta_2,N-2);
    delta_3 = [delta_3 ;(zeros(1,N-length(delta_3)))'];
    if N >= 5
      delta_4 = delta(delta_3,N-3);
      delta_4 = [delta_4 ;(zeros(1,N-length(delta_4)))'];
      if N >= 6
        delta_5 = delta(delta_4,N-4);
        delta_5 = [delta_5; (zeros(1,N-length(delta_5)))'];
      else
        delta_5 = (zeros(1,N))';//if these do not exist
      end
    else
      delta_4 = (zeros(1,N))';
    end
  else
    delta_3 = (zeros(1,N))';
  end
else
  delta_2 = (zeros(1,N))';
end
endfunction
