// Solving polynomial equations
// Secant method: 

// Consider the following polynomial equation: 
// x^2 + x = 1

function y = f(x)
    y = x^2 + x - 1
endfunction

// We define our first two guesses 
x(1) = 0
x(2) = 5

for i = 3:9 // 7 iterations
    x(i) = x(i-1) - f(x(i-1))*(x(i-1) - x(i-2))/(f(x(i-1)) - f(x(i-2)));
    disp(x(i))
end

the_root = x(i)