// Linear interpolation (nearest neighbour): 

// Our data-set: 
x = [0:1:5]'; y = exp(x); // exponent
plot(x, y, 'ro')

xp = [0:0.01:5]';
yp = []

for i = xp'
    x_nearest = floor(i+0.5);
    yp_i = y(find(x == x_nearest));
    yp = [yp; yp_i];
end

plot(xp, yp, 'b')

// We compare with Scilab's internal interpolation function:
// Linear interpolation (nearest neighbour) using Scilab's function: 

yp = interp1(x, y, xp, 'nearest');
plot(xp, yp, 'g')