//This code is written by Rupak Rokade, IIT Bombay
//The code fits a noisy data with a second order curve fit

x = [0:1:5]'; y = exp(x);

function [slope,intercept,sig]=second_order_fit(data)
      n=length(data);
      x=0:n-1;
      X=[x;x.^2]; //the two regressors
      [slopes,intercept,sig]=reglin(X,data);
      yfitted=intercept+slopes(1)*x+slopes(2)*x.^2;
    plot2d(x,yfitted,2) // the fitted solution
    plot2d(x,data,1)
    xlabel('x');
    ylabel('y');
    legend('fitted_line','actual_data');
endfunction

[s, i, lse] = second_order_fit(y')