mode(-1);
// Numerical Integration
//   Written by
//   Rakhi.R 
//   IIT Bombay

//Example of composite simpson's 1/3rd rule  for f(x) = sqroot(x)
//n is the number of panels into which the interval (a,b) is to be divided
//n has to be even!

exec('func.sci'); //execute the function that defines f(x)
exec('simp3.sci'); // execute the function for simpson's 1/3rd rule
exec('sim_simp3.sci');

a = input("Enter a = "); // for inputting a and b
b = input("Enter b = ");
n = input("Enter n = ");
if modulo(n,2)//remainder on dividing by 2 != 0
    disp("n has to be even!!");
    abort;
end
fa = func(a);// Calculate fa and fb
fb = func(b);
if n > 2
    I = simp3(a,b,n,fa,fb);
end
if n == 2 // if n = 2 use simple simpson's 1/3rd rule
   I = sim_simp3(a,b,fa,fb);
end

//display result
disp("The value of the integral is  =");
disp(I);